// 输入一个整数 n，然后输入 n 个整数，输出其中所有质数的个数。
#include <iostream>

using namespace std;

bool isPrime(int num)
{
    if (num <= 1) // 1 不是质数
        return false;

    int i = 2;
    while (i * i <= num)
    {
        if (num % i == 0)
            return false;
        else
            i++;
    }

    return true;
}

int main()
{
    int n;
    int *nums = new int[n];
    int i = 0;
    int cnt = 0; // 计数器
    cout << "请输入整数 n: ";
    cin >> n;

    cout << "请输入" << n << "个整数: ";
    while (i < n)
    {
        cin >> nums[i];
        i++;
    }

    while (--n >= 0)
    {
        if (isPrime(nums[n]) == true)
            cnt++;
        else
            continue;
    }

    cout << "输入的整数中所有质数的个数为: " << cnt << endl;

    return 0;
}